<?php session_start();
date_default_timezone_set('America/Bogota');
//RESTRICCI�N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']='';
menu();

//Obtengo la fecha desde que inicia el periodo
$fecha_inicio_periodo=$row['desde'];
$fecha_fin_periodo=$row['hasta'];
$fecha_hoy = date('Y-m-d');

echo "<font face='verdana' size=2>";

if (isset($_POST['aprobarPagoExtraordinario']) && $_POST['inicio']==2){
	//Recibe todas las variables por POST
	extract($_POST);

	$query_update = "UPDATE historico_nomina_especial SET estado_aprobacion = 'Aprobado' WHERE nomina = '$nomina' AND estado_aprobacion = 'Por Aprobar'";
	$result_update = mysql_query($query_update);

	echo "<style>
	.registrado{
			color: green;
			margin-left: 7%;
			font-weight: bold;
	}
	</style>";
	echo "<p class='registrado'>Registros aprobados satisfactoriamente<p>";

}


if (isset($_POST['generarPagoExtraordinario']) && $_POST['inicio']==2) {

	##### INICIA: INSERTAR EN BD LOS CAMPOS RECIBIDOS ######
	//Recibe todas las variables por POST
	extract($_POST);
	//Recibe la variable $nomina que contiene la nomina a procesar

	$fecha_registro = date('Y-m-d H:i:s'); //Fecha actual
	$nomina; //Nomina a procesar

	//Busca los empleados que estuvieron en el formulario
	$query = "SELECT * FROM personal WHERE status !='I' AND nomina = '$nomina' AND id='".$_SESSION['id_validar']."'";
	$consulta = mysql_query($query);
	while ($row = mysql_fetch_array($consulta)) {
		//Inicializa variables en cero
		$bono1 = 0;
		$bono2 = 0;
		$salario_empleado = 0;
		$monto_concepto = 0;
		$nomina_insert = 0;
		$monto_a_pagar=0;

		//Construye la variable para consultar el monto enviado en el formulario
		$formato_concepto_input_empleado = "concepto_especial_".$row['codigo'];
		$formato_monto_input_empleado = "monto_".$row['codigo'];
		$concepto_input_empleado = $$formato_concepto_input_empleado;
		$monto_concepto = $$formato_monto_input_empleado;

		//La variable $monto_8987541 --> Corresponde al nombre del input en el formulario, por ello se usa doble signo $
		if (($monto_concepto=="")||($monto_concepto==0)||($concepto_input_empleado==0)) {//Si el valor recibido es vacio
			//Borra si el campo quedó vacio
			$query_delete="DELETE FROM historico_nomina_especial WHERE cedula = '".$row['codigo']."' AND estado_aprobacion = 'Por Aprobar'";
			$result_delte=mysql_query($query_delete);
		}else{//Si el valor recibido es diferente de vacio

			$monto_concepto =  str_replace(',','.',$monto_concepto); //Reemplaza comas por puntos
			$salario_empleado = $row['smes'];//Salario del empleado
			$bono1 = $row['bono1']; //Bono 1
			$bono2 = $row['bono2']; //Bono 2
			$nomina_insert = $row['nomina']; //Bono 2

			switch ($concepto_input_empleado) {
				case '1801':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/8)*11.5*$monto_concepto;
					break;
				case '1802':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/7)*11.5*$monto_concepto;
					break;
				case '1803':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/8)*8*$monto_concepto;
					break;
				case '1804':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/7)*7*$monto_concepto;
					break;
				case '1805':
					$monto_a_pagar = $monto_concepto;
					break;
				case '1806':
					$monto_a_pagar = $monto_concepto;
					break;
				case '1807':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/8)*8*$monto_concepto;
					break;
				case '1808':
					$monto_a_pagar = $monto_concepto;
					break;
				case '1809':
					$monto_a_pagar = $monto_concepto;
					break;
				case '1810':
					$monto_a_pagar = $monto_concepto;
					break;
				case '1811':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/7)*0.5*$monto_concepto;
					break;
				case '1812':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/7)*0.64*$monto_concepto;
					break;
				case '1813':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/8)*$monto_concepto;
					break;
				case '1814':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/7)*$monto_concepto;
					break;
				case '1815':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/8)*11.5*$monto_concepto;
					break;
				case '1816':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/7)*11.5*$monto_concepto;
					break;
				case '1817':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/8)*2.47*$monto_concepto;
					break;
				case '1818':
					$monto_a_pagar = ((($salario_empleado/30)+$bono1+$bono2)/8)*3.11*$monto_concepto;
					break;
				case '1819':
					$monto_a_pagar = (($salario_empleado/30)+$bono1+$bono2)*$monto_concepto;
					break;
				case '1820':
					$monto_a_pagar = $monto_concepto;
					break;
				case '1821':
					$monto_a_pagar = $monto_concepto;
					break;

				default:
					// code...
					break;
			}

			//echo "El empleado :".$row['codigo'].", con salario: ".$salario_empleado." se le pagará por concepto: ".$concepto_input_empleado." con cantidad: ".$monto_concepto." el monto: ".$monto_a_pagar ."<br>";

			//Verifica si hay registros para hacer un UPDATE
			$query_conc_sin_aprobar = "SELECT * FROM historico_nomina_especial WHERE cedula = '".$row['codigo']."' AND estado_aprobacion = 'Por aprobar' AND id='".$_SESSION['id_validar']."' ORDER BY id_historico_nomina_especial DESC LIMIT 1";
			$consulta_conc_sin_aprobar = mysql_query($query_conc_sin_aprobar);

			if (mysql_num_rows($consulta_conc_sin_aprobar)>0){ //Si existe un registro, se debe hacer un UPDATE
				$row_sin_aprob = mysql_fetch_assoc($consulta_conc_sin_aprobar);
				$id_historico_nomina_especial = $row_sin_aprob['id_historico_nomina_especial'];

				$query_update = "UPDATE historico_nomina_especial SET fecha_registro = '$fecha_registro', concepto= $concepto_input_empleado, cantidad=$monto_concepto, monto=$monto_a_pagar WHERE id_historico_nomina_especial = '$id_historico_nomina_especial' AND estado_aprobacion = 'Por Aprobar'";
				$result_update = mysql_query($query_update);

			}else{ //No existe, se debe INSERTAR
				//Inserta registros en BD
				$query_insert="INSERT INTO historico_nomina_especial (id, fecha_registro, cedula, nomina, concepto, cantidad, monto, estado_aprobacion) VALUES ('".$_SESSION['id_validar']."','$fecha_registro','".$row['codigo']."',$nomina_insert,$concepto_input_empleado,$monto_concepto,$monto_a_pagar,'Por aprobar')";
				$result_query_concepto = mysql_query($query_insert) or die("<b>A fatal MySQL error occured</b>.\n Query: " . $query_insert . "\nError: (" . mysql_errno() . ") " . mysql_error());
			}
		}
	}
	echo "<style>
	.registrado{
			color: green;
			margin-left: 7%;
			font-weight: bold;
	}
	</style>";
	echo "<p class='registrado'>Registros enviados para aprobación<p>";
	##### TERMINA: INSERTAR EN BD LOS CAMPOS RECIBIDOS #####
}



////SCRIPTS///
?>

<head>
	<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
	<script src="autocompletar/js/bootstrap3-typeahead.min.js"></script>

	<link rel="stylesheet" href="css/timepicker.min.css">
	<script src="js/timepicker.min.js"></script>

	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

	<script src='js/bootstrap.min.js'></script>

	<!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
		integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
			integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
			crossorigin="anonymous"></script> -->
	<!--
	<script src="//cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
	<link rel="stylesheet" href="//cdn.datatables.net/1.10.25/css/jquery.dataTables.min.css"> -->

</head>
<style>
		.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
			color: #fff;
			text-decoration: none;
			background-color: #337ab7;
			outline: 0;
		}
		#tabla_novedades .horas_extras, .ausencia_medica, .validado_por_sso, .justificacion_ausencia, .remunerado_ausencia, .tiempo_viaje_ausencia, .ausencia, .ausencia_programada, .tipo_permiso_ausencia, .retardo, .salida_anticipada, .horassalida_anticipada, .datos_trabajador, .hora_salida_ausencia, .hora_llegada_ausencia  {
			display: none;
		}
		#ocultar {
			display: none;
		}

		.form-control-time {
		width: 80px;
			height: 34px;
			padding: 6px 12px;
			font-size: 12px;
			line-height: 1.42857143;
			color: #555;
			background-color: #fff;
			background-image: none;
			border: 1px solid #ccc;
			border-radius: 4px;
			-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
			box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
			-webkit-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
			transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
		}
		.boton{
			/* width: 100%; */
			color: #FFFFFF;
			/* font-size: 0.8725em; */
			padding: 7px;
			margin-bottom: 5px;
			margin-top: 10px;
			outline: none;
			/* margin: 5px 0; */
			font-family: 'Open Sans', sans-serif;
			font-size: 16px;
			font-weight: bold;
			text-transform: uppercase;
			background: #36C1E2;
			border: 0px solid #DFDFDF;
		}

			.glyphicon-modal-window:before{content:"\e237"}
			.modal-open{overflow:hidden}
			.modal{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1050;display:none;overflow:hidden;-webkit-overflow-scrolling:touch;outline:0}
			.modal.fade .modal-dialog{-webkit-transform:translate(0,-25%);-ms-transform:translate(0,-25%);-o-transform:translate(0,-25%);transform:translate(0,-25%);-webkit-transition:-webkit-transform .3s ease-out;-o-transition:-o-transform .3s ease-out;transition:-webkit-transform .3s ease-out;transition:transform .3s ease-out;transition:transform .3s ease-out,-webkit-transform .3s ease-out,-o-transform .3s ease-out}
			.modal.in .modal-dialog{-webkit-transform:translate(0,0);-ms-transform:translate(0,0);-o-transform:translate(0,0);transform:translate(0,0)}
			.modal-open .modal{overflow-x:hidden;overflow-y:auto}
			.modal-dialog{position:relative;width:auto;margin:10px}
			.modal-content{position:relative;background-color:#fff;background-clip:padding-box;border:1px solid #999;border:1px solid rgba(0,0,0,.2);border-radius:6px;-webkit-box-shadow:0 3px 9px rgba(0,0,0,.5);box-shadow:0 3px 9px rgba(0,0,0,.5);outline:0}
			.modal-backdrop{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1040;background-color:#000}
			.modal-backdrop.fade{filter:alpha(opacity=0);opacity:0}
			.modal-backdrop.in{filter:alpha(opacity=50);opacity:.5}
			.modal-header{padding:15px;border-bottom:1px solid #e5e5e5}
			.modal-header .close{margin-top:-2px}
			.modal-title{margin:0;line-height:1.42857143}
			.modal-body{position:relative;padding:15px}
			.modal-footer{padding:15px;text-align:right;border-top:1px solid #e5e5e5}
			.modal-footer .btn+.btn{margin-bottom:0;margin-left:5px}
			.modal-footer .btn-group .btn+.btn{margin-left:-1px}
			.modal-footer .btn-block+.btn-block{margin-left:0}
			.modal-scrollbar-measure{position:absolute;top:-9999px;width:50px;height:50px;overflow:scroll}@media (min-width:768px){.modal-dialog{width:600px;margin:30px auto}
			.modal-content{-webkit-box-shadow:0 5px 15px rgba(0,0,0,.5);box-shadow:0 5px 15px rgba(0,0,0,.5)}
			.modal-sm{width:300px}}@media (min-width:992px){.modal-lg{width:900px}}
			.tooltip{position:absolute;z-index:1070;display:block;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;font-style:normal;font-weight:400;line-height:1.42857143;line-break:auto;text-align:left;text-align:start;text-decoration:none;text-shadow:none;text-transform:none;letter-spacing:normal;word-break:normal;word-spacing:normal;word-wrap:normal;white-space:normal;font-size:12px;filter:alpha(opacity=0);opacity:0}
			.tooltip.in{filter:alpha(opacity=90);opacity:.9}
	</style>

	<style>

	/*the container must be positioned relative:*/
	.autocomplete {
		position: relative;
		display: inline-block;
		text-transform: capitalize;
	}
	.autocompletar{
		text-transform: capitalize;
	}
	.regristrado{
		color: green;
		margin-left: 7%;
		font-weight: bold;
	}

	.noregristrado{
		color: red;
		margin-left: 7%;
		font-weight: bold;
	}

	.autocomplete-items {
		position: absolute;
		border: 1px solid #d4d4d4;
		border-bottom: none;
		border-top: none;
		z-index: 99;
		/*position the autocomplete items to be the same width as the container:*/
		top: 100%;
		left: 0;
		right: 0;
	}

	.autocomplete-items div {
		padding: 5px;
		cursor: pointer;
		background-color: #fff;
		border-bottom: 1px solid #d4d4d4;
	}

	/*when hovering an item:*/
	.autocomplete-items div:hover {
		background-color: #e9e9e9;
	}

	/*when navigating through the items using the arrow keys:*/
	.autocomplete-active {
		background-color: DodgerBlue !important;
		color: #ffffff;
	}
</style>

<?php
//////////////////////////////////////////////////////////////////////////////// INICIO MENU DE OPCIONES
echo "<main class='container'>";
echo "<section class='row text-center'>";


### Inicio: Pregunta la nomina a procesar ###
if (!isset($_POST['inicio'])){ //Si la variable inicio no esta definida o si es igual a cero
	if((substr($_SESSION['acceso_validar'],40,1)=='1')){
		echo "<h2 class='text-dark text-left'><b>Aprobar Bonificaciones/Pagos Extraordinarios</b></h2>";
	}elseif((substr($_SESSION['acceso_validar'],9,1)=='1'))	{
		echo "<h2 class='text-dark text-left'><b>Cargar Bonificaciones/Pagos Extraordinarios</b></h2>";
	}

	echo "<div class='col-sm-12 justify-content-center m-auto'>";
				echo "<form autocomplete='off' name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' class='form-inline'>";
	echo "<input type = 'hidden' name = 'inicio' value = '1'>";
				echo "<div class='form-group'>";
				echo "<label name='label-novedad'>Seleccione</label>
								<select style='width:230px;' name='preNomina' id='preNomina' class='form-control'>
										<option value='' selected>Tipo de nómina";

										$query = "SELECT * FROM nomina";
										$consulta=mysql_query($query);
										$resultado=mysql_num_rows($consulta);

										while($fila=mysql_fetch_array($consulta)){
												echo "<option value='".$fila['codigo']."'>".$fila['codigo']." ".$fila['detalle']."";
										}
				echo "</select>";
				echo "</div>&nbsp;&nbsp;";
				echo '<input name="generarPreNomina" type="submit" class="boton" value="CARGAR/VER" id="generarPreNomina"></input>';
				echo "</form>";
}
### Fin: Pregunta la nomina a procesar ###

### Inicio: Diligenciamiento de valores ###
if ($_POST['inicio']==1){
	$nomina = $_POST['preNomina']; //Captura la nómina a procesar

	if((substr($_SESSION['acceso_validar'],40,1)=='1')){//Si tiene permisos para aprobar pagos extraordinarios
		echo "<h2 class='text-dark text-left'><b>APROBAR BONIFICACIONES/PAGOS EXTRAORDINARIOS</b></h2>";
		echo "<div class='col-sm-12 justify-content-center m-auto'>";
		echo "<form autocomplete='off' name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' class='form-inline'>";
		echo "<input type = 'hidden' name = 'inicio' value = '2'>";
		echo "<input type = 'hidden' name = 'nomina' value = '$nomina'>";

		//Consulta empleados
		$query = "SELECT hne.*, pe.nombres, pe.apellidos, ce.detalle FROM historico_nomina_especial AS hne INNER JOIN personal AS pe ON pe.codigo = hne.cedula INNER JOIN concepto_especiales AS ce ON ce.codigo = hne.concepto WHERE hne.estado_aprobacion = 'Por aprobar' AND hne.nomina = '$nomina' AND hne.id = '".$_SESSION['id_validar']."'";
		$consulta = mysql_query($query);

		if (mysql_num_rows($consulta)==0){
			echo "<style>
			.registrado{
					color: green;
					margin-left: 7%;
					font-weight: bold;
			}
			</style>";
			echo "<p class='registrado'>No hay registros para aprobar<p>";
		}else{
			echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#43bced' height='35'>";
			echo "		<th align = left><font color=white> N° </font></th>";
			echo "		<th align = left><font color=white> C&eacute;dula </font></th>";
			echo "		<th align = left><font color=white> Apellidos </font></th>";
			echo "		<th align = left><font color=white> Nombres </font></th>";
			echo "		<th align = center><font color=white> Concepto </font></th>";
			echo "		<th align = center><font color=white> Monto </font></th><tr>";

			$registro_color=0; //Para imprimir de otro color cada registro de la tabla
			$cont=1;
			$totalPagar=0;
			while ($row = mysql_fetch_array($consulta)) {
				if ($registro_color==0){
					echo '<tr bgcolor=white >';
					$registro_color=1;
				}else{
					echo "<tr bgcolor='#dfdfd0' >";
					$registro_color=0;
				}
				$totalPagar= $totalPagar+$row['cantidad'];
				
				$nombres = preg_replace("/\s+/", " ", trim($row_emp_pag['nombres']));

				echo "<td width=50 align='left'>".$cont."</td>";
				echo "<td width=150 align='left'>".$row['cedula']."</td>";
				echo "<td width=150>".$row['apellidos']."</td>";
				echo "<td width=150>".$row['nombres']."</td>";
				echo "<td width=350>".$row['detalle']."</td>";
				echo "<td width=150>".number_format($row['cantidad'],2,',','.')."</td>";
				echo "</tr>";
				$cont++;

			}
				if ($registro_color==0){
					echo '<tr bgcolor=white >';
					$registro_color=1;
				}else{
					echo "<tr bgcolor='#dfdfd0' >";
					$registro_color=0;
				}
				$contTotal = $cont;
				$contTotal--;
				echo "<td width=50>&nbsp;</td>";
				echo "<td width=150>&nbsp;</td>";
				echo "<td width=150>&nbsp;</td>";
				echo "<td width=150>&nbsp;</td>";
				echo "<td width=350> Total de trabajadores: ".$contTotal."</td>";
				echo "<td width=150> Total: ".number_format($totalPagar,2,',','.')."</td>";
				echo "</tr>";
			echo "</table>";
						echo '<input name="aprobarPagoExtraordinario" type="submit" class="boton" value="Aprobar pago extraordinario"></input>';
			      echo "</form>";
		}
	}else{//No tiene permisos para aprobar pagos extraordinarios
		echo "<h2 class='text-dark text-left'><b>Cargar Bonificaciones/Pagos Extraordinarios</b></h2>";
		echo "<div class='col-sm-12 justify-content-center m-auto'>";
		echo "<form autocomplete='off' name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' class='form-inline'>";
		echo "<input type = 'hidden' name = 'inicio' value = '2'>";
		echo "<input type = 'hidden' name = 'nomina' value = '$nomina'>";

		//Valida si hay registros aprobados sin enviar a Banesco
		$query_registros = "SELECT * FROM historico_nomina_especial WHERE estado_aprobacion = 'Aprobado' AND envio_banesco = 'No' AND nomina = '$nomina'";
		$result_registros = mysql_query($query_registros);

		if (mysql_num_rows($result_registros)>0){
			echo "<style>
			.registrado{
					color: green;
					margin-left: 7%;
					font-weight: bold;
			}
			</style>";
			echo "<p class='registrado'>No es posible continuar porque existen registros aprobados que no han sido enviados al banco.<p>";
		}else{
			echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#43bced' height='35'>";
			echo "		<th align = left><font color=white> C&eacute;dula </font></th>";
			echo "		<th align = left><font color=white> Apellidos </font></th>";
			echo "		<th align = left><font color=white> Nombres </font></th>";
			echo "		<th align = center><font color=white> Concepto </font></th>";
			echo "		<th align = center><font color=white> Monto </font></th><tr>";

			//Consulta empleados
			$query = "SELECT * FROM personal WHERE status !='I' AND nomina ='".$nomina."' AND id='".$_SESSION['id_validar']."'";
			$consulta = mysql_query($query);

			//Consulta conceptos especiales
			$query_conc_esp = "SELECT * FROM concepto_especiales WHERE id='".$_SESSION['id_validar']."' order by detalle";
			$resultado_conc_esp = mysql_query($query_conc_esp);

			//Crea array para conceptos especiales
			$array_conceptos_especiales = array();
			while($row_cons = mysql_fetch_assoc($resultado_conc_esp)){
				$array_conceptos_especiales[] = $row_cons; // Inside while loop
			}

			$registro_color=0; //Para imprimir de otro color cada registro de la tabla
			while ($row = mysql_fetch_array($consulta)) {
				if ($registro_color==0){
					echo '<tr bgcolor=white >';
					$registro_color=1;
				}else{
					echo "<tr bgcolor='#dfdfd0' >";
					$registro_color=0;
				}

				echo "<td width=150 align='left'>".$row['codigo']."</td>";
				echo "<td width=150>".$row['apellidos']."</td>";
				echo "<td width=150>".$row['nombres']."</td>";

				//Consulta si existen registros sin aprobar para este empleado
				$query_conc_sin_aprobar = "SELECT * FROM historico_nomina_especial WHERE cedula = '".$row['codigo']."' AND estado_aprobacion = 'Por aprobar' AND id='".$_SESSION['id_validar']."' ORDER BY id_historico_nomina_especial DESC LIMIT 1";
				$consulta_conc_sin_aprobar = mysql_query($query_conc_sin_aprobar);
				$row_sin_aprob = mysql_fetch_assoc($consulta_conc_sin_aprobar);

				$id_historico_nomina_especial = $row_sin_aprob['id_historico_nomina_especial'];
				$codigo_concepto = $row_sin_aprob['concepto'];
				$cantidad_concepto = $row_sin_aprob['cantidad'];
				$monto_concepto = $row_sin_aprob['monto'];

				echo "<td width=170> <select name='concepto_especial_".$row['codigo']."'>";
				//echo "<option value= '0'> Seleccione </option>";
				//Recorre cada concepto especial
				for ($row_con_esp = 0; $row_con_esp < count($array_conceptos_especiales); $row_con_esp++) {

					$codigo= $array_conceptos_especiales[$row_con_esp]['codigo'];
					$detalle= $array_conceptos_especiales[$row_con_esp]['detalle'];

					if ($codigo_concepto==$codigo){
						echo "<option value= ".$codigo." selected= 'selected'> ".$detalle." </option>";
					}else{
						echo "<option value= ".$codigo."> ".$detalle." </option>";
					}

				}
				echo "</select></td>";

				echo "<td width='100'>
								<input style='color:black; font-size:1.5em; height: 30px;  width: 150px' name='monto_".$row['codigo']."' value='$cantidad_concepto' maxlength = '20'>
							</td>";
				echo "</tr>";

			}
			echo "</table>";
			      echo '<input name="generarPagoExtraordinario" type="submit" class="boton" value="Guardar pago extraordinario" ></input>&nbsp&nbsp';
			      echo "</form>";
				  
							
		}
	}
}
### Fin: Diligenciamiento de valores ###

echo "</section>";
echo "</main>";
mysql_free_result($consulta);
?>
</body>
</html>
